from sys import platform


if __name__ == "__main__":
    if platform == "darwin":
        from setuptools import setup, find_packages
        from lib.pgfw.pgfw.Configuration import Configuration
        from lib.pgfw.pgfw.Setup import Setup
        config = Configuration()
        setup_obj = Setup()
        version = config.get_section("setup")["version"]
        name = setup_obj.translate_title()
        plist = dict(
            CFBundleIconFile=name,
            CFBundleName=name,
            CFBundleShortVersionString=version,
            CFBundleGetInfoString=' '.join([name, version]),
            CFBundleExecutable=name,
            CFBundleIdentifier='org.' + name.lower())
        setup(name=name,
              version=version,
              app=[dict(script="OPEN-GAME", plist=plist)],
              setup_requires=["py2app"],
              options=dict(py2app=dict(arch="i386",)),
              data_files=["wisp", "resource", "lib", "config", "OFL.txt"])
    elif platform == "win32":
        from lib.pgfw.pgfw.SetupWin import SetupWin
        SetupWin().setup()
    else:
        from lib.pgfw.pgfw.Setup import Setup
        Setup().setup()
